#! /bin/sh

##### 引数の取得 #####
MODE=$1
L_IS_INSTALLED=$2


##### 初期設定 #####
IS_VIEW=n


##### 処理モードにより分岐 #####
if [ "${MODE}" = "install" ]; then
	if [ "${L_IS_INSTALLED}" = "n" ]; then
		IS_VIEW=y
	fi
elif [ "${MODE}" = "uninstall" ]; then
	if [ "${L_IS_INSTALLED}" = "y" ]; then
		IS_VIEW=y
	fi
elif [ "${MODE}" = "update" ]; then
	if [ "${L_IS_INSTALLED}" = "y" ]; then
		IS_VIEW=y
	fi
fi
